View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000486aMuleExternal Connpublic2005-06-20 00:402005-08-11 01:35
Reporteraronchi 
Assigned ToXaignar 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.3 
Target VersionFixed in VersionSVN 
Summary0000486: aMule doesn't compile caused by undefined reference to `CValueMap::~CValueMap()'
DescriptionWhen I try to compile aMule 2.0.3 I receive this error:

mule-ExternalConn.o(.gnu.linkonce.t._ZNSt4pairIKPv9CValueMapEC1ERS1_RKS2_[std::pair<void* const, CValueMap>::pair(void* const&, CValueMap const&)]+0x28): In function `std::pair<void* const, CValueMap>::pair(void* const&, CValueMap const&)':
/usr/lib/gcc/ppc64-redhat-linux/4.0.0/../../../../include/c++/4.0.0/bits/stl_pair.h:85: undefined reference to `CValueMap::CValueMap(CValueMap const&)'
amule-ExternalConn.o(.gnu.linkonce.t._ZNSt4pairIKPv9CValueMapED1Ev[std::pair<void* const, CValueMap>::~pair()]+0x10): In function `std::pair<void* const, CValueMap>::~pair()':
/usr/lib/gcc/ppc64-redhat-linux/4.0.0/../../../../include/c++/4.0.0/bits/stl_pair.h:69: undefined reference to `CValueMap::~CValueMap()'
amule-ExternalConn.o(.gnu.linkonce.t._ZNSt4pairIKPv9CValueMapEC1ERKS3_[std::pair<void* const, CValueMap>::pair(std::pair<void* const, CValueMap> const&)]+0x28): In function `std::pair<void* const, CValueMap>::pair(std::pair<void* const, CValueMap> const&)':
/usr/lib/gcc/ppc64-redhat-linux/4.0.0/../../../../include/c++/4.0.0/bits/stl_pair.h:69: undefined reference to `CValueMap::CValueMap(CValueMap const&)'
amule-ExternalConn.o(.gnu.linkonce.t._ZN9__gnu_cxx15__mt_alloc_baseI8CMD4HashE7destroyEPS1_[__gnu_cxx::__mt_alloc_base<CMD4Hash>::destroy(CMD4Hash*)]+0x10): In function `__gnu_cxx::__mt_alloc_base<CMD4Hash>::destroy(CMD4Hash*)':
/usr/lib/gcc/ppc64-redhat-linux/4.0.0/../../../../include/c++/4.0.0/ext/mt_allocator.h:614: undefined reference to `CMD4Hash::~CMD4Hash()'
amule-ExternalConn.o(.gnu.linkonce.t._ZNSt3mapIPv9CValueMapSt4lessIS0_ESaISt4pairIKS0_S1_EEEixERS5_[std::map<void*, CValueMap, std::less<void*>, std::allocator<std::pair<void* const, CValueMap> > >::operator[](void* const&)]+0xec): In function `std::map<void*, CValueMap, std::less<void*>, std::allocator<std::pair<void* const, CValueMap> > >::operator[](void* const&)':
/usr/lib/gcc/ppc64-redhat-linux/4.0.0/../../../../include/c++/4.0.0/bits/stl_map.h:339: undefined reference to `CValueMap::~CValueMap()'
amule-ExternalConn.o(.gnu.linkonce.t._ZNSt3mapIPv9CValueMapSt4lessIS0_ESaISt4pairIKS0_S1_EEEixERS5_[std::map<void*, CValueMap, std::less<void*>, std::allocator<std::pair<void* const, CValueMap> > >::operator[](void* const&)]+0x12c):/usr/lib/gcc/ppc64-redhat-linux/4.0.0/../../../../include/c++/4.0.0/bits/stl_map.h:339: undefined reference to `CValueMap::~CValueMap()'
collect2: ld returned 1 exit status

I successfully compiled 2.0.1 version and older one
Additional InformationI'm using a Fedora core 4 on a ppc iBook.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files? file icon Makefile [^] (25,367 bytes) 2005-06-20 00:40 [Show Content]
? file icon Compilation.flags [^] (4,582 bytes) 2005-06-20 00:40
? file icon config.status [^] (68,598 bytes) 2005-06-20 00:41
log file icon config.log [^] (123,790 bytes) 2005-06-20 00:41

- Relationships

-  Notes
(0001208)
Xaignar (manager)
2005-08-11 01:35

I beleive that this has been fixed on current CVS, feel free to reopen this bug if that is not the case.

Cheers,
 Xaignar

- Issue History
Date Modified Username Field Change
2005-06-20 00:40 aronchi New Issue
2005-06-20 00:40 aronchi File Added: Makefile
2005-06-20 00:40 aronchi File Added: Compilation.flags
2005-06-20 00:41 aronchi File Added: config.status
2005-06-20 00:41 aronchi File Added: config.log
2005-07-05 07:14 Kry Status new => acknowledged
2005-08-11 01:35 Xaignar Status acknowledged => resolved
2005-08-11 01:35 Xaignar Fixed in Version => CVS
2005-08-11 01:35 Xaignar Resolution open => fixed
2005-08-11 01:35 Xaignar Assigned To => Xaignar
2005-08-11 01:35 Xaignar Note Added: 0001208


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker